--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: expects a normalized url
full_name: Discovery::new
is_singleton: true
name: new
params: (session, url, session_key_suffix=nil)
visibility: public
